package com.ruoyi.project.sems.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.framework.aspectj.lang.annotation.DataScopePlant;
import com.ruoyi.project.sems.domain.TSpecdevYlgd;
import com.ruoyi.project.sems.his.domain.TSpechiYlgd;

import java.util.List;

/**
 * 特种设备压力管道台账Mapper接口
 *
 * @author ruoyi
 * @date 2021-07-22
 */
public interface TSpecdevYlgdMapper extends BaseMapper<TSpecdevYlgd> {
    /**
     * 查询特种设备压力管道台账
     *
     * @param id 特种设备压力管道台账ID
     * @return 特种设备压力管道台账
     */
    public TSpecdevYlgd selectTSpecdevYlgdById(Long id);

    /**
     * 查询特种设备压力管道台账
     *
     * @param ids 特种设备压力管道台账ID集合
     * @return 特种设备压力管道台账
     */
    public List<TSpecdevYlgd> selectTSpecdevYlgdByIds(List<Long> ids);

    /**
     * 查询特种设备压力管道台账列表
     *
     * @param tSpecdevYlgd 特种设备压力管道台账
     * @return 特种设备压力管道台账集合
     */
    @DataScopePlant(deptAlias = "d")
    public List<TSpecdevYlgd> selectTSpecdevYlgdList(TSpecdevYlgd tSpecdevYlgd);

    @DataScopePlant(deptAlias = "d")
    public List<TSpecdevYlgd> selectYlgdLengthList(TSpecdevYlgd tSpecdevYlgd);

    List<TSpecdevYlgd> selectTSpecdevYlgdListByYear(TSpecdevYlgd tSpecdevYlgd);
    /**
     * 新增特种设备压力管道台账
     *
     * @param tSpecdevYlgd 特种设备压力管道台账
     * @return 结果
     */
    public int insertTSpecdevYlgd(TSpecdevYlgd tSpecdevYlgd);

    /**
     * 修改特种设备压力管道台账
     *
     * @param tSpecdevYlgd 特种设备压力管道台账
     * @return 结果
     */
    public int updateTSpecdevYlgd(TSpecdevYlgd tSpecdevYlgd);

    /**
     * 删除特种设备压力管道台账
     *
     * @param id 特种设备压力管道台账ID
     * @return 结果
     */
    public int deleteTSpecdevYlgdById(Long id);

    /**
     * 批量删除特种设备压力管道台账
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpecdevYlgdByIds(Long[] ids);

    int updateTSpecdevYlgdByHi(TSpechiYlgd hientity);


    void duplicateTSpecdevYlgd();

    void syncReport(String valueOf);

    List<TSpecdevYlgd> selectExpiredYlgd(Integer month);

    List<TSpecdevYlgd> selectTSpecdevYlgdListForPssr(TSpecdevYlgd tSpecdevYlgd);

    void updateTSpecdevYlgdByIds(TSpecdevYlgd tSpecdevYlgd);

    List<TSpecdevYlgd> selectTSpecdevYlgdListByDevNo(TSpecdevYlgd param);
}
